#ifndef XAUDIOSEEKTABLE_H
#define XAUDIOSEEKTABLE_H

#include "xasset.h"

class XSoundFileRef;

class XAudioSeekTable : public XAsset
{
public:
    XAudioSeekTable();
    ~XAudioSeekTable();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    int mSize;
    QByteArray mData;
};

#endif // XAUDIOSEEKTABLE_H
